/*
 * @Author: Kane
 * @Date: 2023-05-02 10:11:27
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/data/DepartmentArchievement.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.data;

import java.util.Vector;
import com.fasterxml.jackson.annotation.JsonProperty;

public class DepartmentArchievement
{
    public DepartmentArchievement() 
    {
        this.totalArchievement = 0;
        this.mensualArchievementList = new Vector<>();
        this.insuranceRenewalRate = "";
        this.attachingRate = "";
    }

    public static DepartmentArchievement queryDepartmentArchievement( String departmentCode )
    {
        DepartmentArchievement archievement = new DepartmentArchievement();

        return archievement;
    }

    public int getTotalArchievement()
    {
        return totalArchievement;
    }

    public void setTotalArchievement( int totalArchievement )
    {
        this.totalArchievement = totalArchievement;
    }

    public Vector<Integer> getMensualArchievementList()
    {
        return mensualArchievementList;
    }

    public void setMensualArchievementList( Vector<Integer> mensualArchievementList )
    {
        this.mensualArchievementList = mensualArchievementList;
    }

    public String getInsuranceRenewalRate()
    {
        return insuranceRenewalRate;
    }

    public void setInsuranceRenewalRate( String insuranceRenewalRate )
    {
        this.insuranceRenewalRate = insuranceRenewalRate;
    }

    public String getAttachingRate()
    {
        return attachingRate;
    }

    public void setAttachingRate( String attachingRate )
    {
        this.attachingRate = attachingRate;
    }

    @JsonProperty( "total_archievement" )
    private int totalArchievement; // 总业绩

    // 每月业绩列表
    // 要保证数据是按照月份排序。
    @JsonProperty( "mensual_archievement_list" )
    private Vector<Integer> mensualArchievementList;

    @JsonProperty( "insurance_renewal_rate" )
    private String insuranceRenewalRate; // 续保率

    @JsonProperty( "attaching_rate" )
    private String attachingRate; // 车非渗透率
}